import axios from 'axios';
import { Cookies } from 'react-cookie';
import cookie from 'cookie';
import moment from 'moment';
import jwt from 'jsonwebtoken';
import Redis from 'ioredis';
import md5 from 'md5';

import { cors } from '../../../lib/cors';

const redis = new Redis(process.env.REDIS_URL);

export default async function handler(req, res) 
{
	await cors(req, res);
	const { email, password, new_password, new_password_repeat } = req.body;

	const response = await new Promise((resolve, reject) => 
	{
		axios.post(`${ process.env.NEXT_PUBLIC_API_HOST }/api/account/change/password/`, {
			email, 
			password, 
			new_password, 
			new_password_repeat
		})
		.then((api_response) => 
		{
			console.log("RESPONSE");
			console.log(api_response.data);

			resolve(api_response.data);
		})
		.catch((error) => 
		{
			console.log("error");
			console.error(error);

			res.status(403).json();
		});
	});

	if(response)
	{
		res.status(200).json(response);
	}
	else
	{
		res.status(403).json();
	}
}